<?php
/*
Plugin Name: WP GeoIP Country Redirect (shared on wplocker.com)
Description: WP GeoIP Country Redirect let's you drive away unwanted traffic.
Version: 1.0
Author: Crivion
Author URI: http://crivion.com
License: Commercial
*/


/**
 * Install/Remove Database Table
 */
require_once 'wpgeoip_install.php';
register_activation_hook(__FILE__, 'wpgeoip_install');
register_deactivation_hook(__FILE__, 'wpgeoip_uninstall');

/**
 * Add WP-Admin Pages
 */
require_once 'wpgeoip_rules.php';
require_once 'wpgeoip_import.php';
require_once 'wpgeoip-mass.php';
require_once 'wpgeoip.log.php';

function geoip_admin_menu() {
        add_menu_page('WP GeoIP', 'WP GeoIP', 'manage_options', 'wpgeoip-admin', 'wpgeoip_admin', "");
		add_submenu_page('wpgeoip-admin', 'WPGeoIP LOG', 'WpGeoIP LOG', 'manage_options', 'wpgeoip-log' ,'wpgeoip_log'); 
        add_submenu_page('wpgeoip-admin', 'WPGeoIP Import', 'WpGeoIP Import', 'manage_options', 'wpgeoip-admin-import' ,'wpgeoip_import');
		add_submenu_page('wpgeoip-admin', 'WPGeoIP Mass Redirect', 'WpGeoIP Mass Redirect', 'manage_options', 'wpgeoip-admin-mass' ,'wpgeoip_mass_redirect');
    }

add_action('admin_menu', 'geoip_admin_menu');

/**
 * Add Redirect Function
 */
require_once 'wpgeoip_redirect.php';
add_action('wp_head', 'wpgeoip_redirect');
