<?php
/**
 * Redirect Function
 */
function wpgeoip_redirect()
{
	global $wpdb;
	global $wp_query;
	global $post;
	
	$prefix = $wpdb->prefix;
	
	$postID = $post->ID;
	
	$catID = intval($wp_query->query_vars['cat']);
	$isHome = is_home();
	
	$the_page_name = '';
	
	//userIP
	$userIP = $_SERVER['REMOTE_ADDR'];

	//user country
	$ip = sprintf("%u", ip2long($userIP));  
	$rs = $wpdb->get_row("SELECT `cc`, `cn` FROM `".$prefix."ip` NATURAL JOIN `".$prefix."cc` 
						WHERE ".$ip." BETWEEN start AND end");
	if(count($rs))
	{
		$countryCode = $rs->cc;
	}else{
		 $countryCode = 'No Countrty';
	}   

        
	
	//redirect if any rule for this country
	if($postID != 0) {
		$rs_redirect = $wpdb->get_row("SELECT `targetURL` FROM `".$prefix."grules` WHERE `countryID` = '$countryCode' 
							AND `postID` = $postID");
		$the_page_name = get_the_title($postID);							
	}
        if($catID != 0)
	{
		$rs_redirect = $wpdb->get_row("SELECT `targetURL` FROM `".$prefix."grules` WHERE `countryID` = '$countryCode' 
							AND `catID` = $catID");
		$the_page_name = 'Category : ' . get_the_category_by_ID($catID);
	}
        if($isHome){
		$rs_redirect = $wpdb->get_row("SELECT `targetURL` FROM `".$prefix."grules` WHERE `countryID` = '$countryCode' 
							AND `home_rule` = 1");
		$the_page_name = 'Homepage';
	}
        if(!$rs_redirect) {
		//NOTHING TO DO
		#$wpdb->query("INSERT INTO wpgeoip_log VALUES (null, 'Redirect', 'Nothing to do. No rules for Country <strong>".$countryCode."</strong>')");
	    }
	if(isset($rs_redirect) AND (count($rs_redirect)))
	{
		$wpdb->query("INSERT INTO wpgeoip_log VALUES (null, 'Redirect <em>".$the_page_name."</em>', 'Redirecting Country <strong>".$countryCode."</strong> to ".$rs_redirect->targetURL."')");
#print $wpdb->last_query;
#print $wpdb->last_error;
	    print '<meta http-equiv="refresh" content="0;url='.$rs_redirect->targetURL.'"/>';
	    exit;
	}else{
	    //CHECK COUNTRIES WITHOUT REDIRECT RULES
	    $mass_redirect_enabled = get_option('wpgeoip_mass_redirect');
	    if($mass_redirect_enabled != "0")
		{
			$mass_url = get_option('wpgeoip_mass_url');
$wpdb->query("INSERT INTO wpgeoip_log VALUES (null, 'Mass Redirect', 'Redirecting Country <strong>".$countryCode."</strong> to ".$rs_redirect->targetURL."')");
			print '<meta http-equiv="refresh" content="0;url='.$mass_url.'"/>';
			exit;
			
		}else{
			//NOTHING TO DO AGAINM
		}
	}
	
}